Update a user
PUT https://{controlplane_path}/api/1/rest/public/users/{email}
Updates the user account associated with the specified email address. In Admin Manager, Environment admins can update app access and authentication methods for multiple users at the same time. They can also select a single user to update their role, app access, or authentication method.
Prerequisites
- Environment (Org) admin permissions
Path parameters
| Key | Description |
|---|---|
email |
Required. The email address of the user. |
Query parameters
None.
Request header
In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type.
For more details on accounts refer to Manage accounts.
Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
Example of Basic authentication using Postman
When using JWT authentication, the API requests includes specific headers. In the
request header, specify Bearer Token for authorization, add the token,
and specify application/json for content type. These headers are
automatically added when you configure bearer token authentication in your API client.
The authorization header contains the word Bearer followed by a
space and your JWT token.
Authorization: Bearer Token {token}
Content-Type: application/json
Example of JWT authenthication using Postman
Request body
{
"first_name" : "...",
"last_name" : "...",
"allow_password_login" : true,
"revoke_old_password" : true,
"utility" : true,
"ui_access" : true,
"created_by" : "...",
"certificate" : "...",
"file_handle" : "..."
}
| Key | Type | Description |
|---|---|---|
first_name |
string | The first name of the user. |
last_name |
string | The last name of the user. |
allow_password_login |
Boolean | If true, the user is allowed to log in with a password.
|
revoke_old_password |
Boolean | If true, the user's password is invalidated. |
utility |
Boolean | If true, the account is tagged as a service account, not a user account, for use with automated processes. |
ui_access |
Boolean | If true, the user is granted access to the SnapLogic UI. |
created_by |
string | The user who originally created the account, if it is a service account.
Learn more: Creating a User |
certificate |
string | User's certificate containing public key. |
file_handle |
L{werkzeug.wsgi.LimitedStream} | An open file handle with the content, to store the user's certificate file that contains public key. |
revoke_old_password option only works when enabled via feature flag, which is now deprecated.